@import './reset.css';
@import './partials/header.css';
@import './partials/sections.css';
@import './partials/footer.css';

@import url('https://fonts.googleapis.com/css2?family=Carter+One&family=Hind&family=Acme:wght@300;400;500;600;700&display=swap');


:root {
  --pine-teal: #034c3cff;
  --goldenrod: #d9a930ff;
  --black-cherry: #520c0aff;
  --bright-lemon: #fbee2eff;
  --iron-grey: rgb(32, 32, 32);
  --text-color: #333333;
  --black-color: #000;
  --white-color: #fff;
  --font-family: 'Arial', sans-serif;
  --font-carter-one: 'Carter One', sans-serif;
  --font-hind: 'Hind', sans-serif;

  --font-size-main-title: 2.5rem;
  /*40px*/
  --font-size-title: 1.875rem;
  /*30px*/
  --font-size-subtitle: 1.5rem;
  /*24px*/
  --font-size-paragraph: 1.125rem;
  /*18px*/

  font-family: var(--font-hind);
  color: var(--text-color);
  max-width: 100vw;
}

.main_title {
  font-size: var(--font-size-main-title);
  color: var(--bright-lemon);
  font-family: var(--font-carter-one);
}

.title {
  font-size: var(--font-size-title);
  text-align: center;
  margin-bottom: 30px;
  font-weight: bold;
  border-bottom: 1px solid;
  padding: 15px 0;
}

.subtitle {
  font-size: var(--font-size-subtitle);
  margin: 10px;
}

.paragraph {
  font-size: var(--font-size-paragraph);
  margin: 10px;
}

.link_button {
  display: inline-block;
  padding: 10px 20px;
  background-color: var(--pine-teal);
  color: var(--white-color);
  text-decoration: none;
  border-radius: 5px;
  font-weight: bold;
}

@media screen and (min-width: 768px) {
  :root {
    --font-size-main-title: 2.875rem;
    /*46px*/
    --font-size-title: 2rem;
    /*32px*/
    --font-size-subtitle: 1.75rem;
    /*28px*/
    --font-size-paragraph: 1.25rem;
    /*20px*/
  }

  .sections_junior_firefighters-container,
  .sections_dho-container,
  .sections_trainings-container,
  .sections_services-container,
  .sections_about-container,
  .sections_score-container {
    max-width: 70%;
    margin: 0 auto;
  }
}